## mullvad-browser-alpha 14.5a2

=== Makefile ===
build:
	rm -f "${DEB_TARGET_ARCH}/Browser/start-mullvad-browser.desktop"
	echo 'This is a packaged app.' > "${DEB_TARGET_ARCH}/Browser/is-packaged-app"
	touch -m -t 202501131900 "${DEB_TARGET_ARCH}/Browser/is-packaged-app"

install:
	mkdir -p "${DESTDIR}/usr/lib/mullvad-browser-alpha"
	cp -a "${DEB_TARGET_ARCH}/Browser"/* "${DESTDIR}/usr/lib/mullvad-browser-alpha"
	chmod -R go+rX "${DESTDIR}/usr/lib/mullvad-browser-alpha"
	mkdir -p "${DESTDIR}/usr/share/applications"
	cp -a mullvad-browser-alpha.desktop "${DESTDIR}/usr/share/applications"
	mkdir -p "${DESTDIR}/usr/bin"
	ln -s "/usr/lib/mullvad-browser-alpha/start-mullvad-browser" \
		"${DESTDIR}/usr/bin/mullvad-browser-alpha"
	for res in 16 32 48 64 128 ;\
	do \
	  resdir="${DESTDIR}/usr/share/icons/hicolor/$${res}x$${res}/apps"; \
	  mkdir -p "$$resdir"; \
	  ln -s "/usr/lib/mullvad-browser-alpha/browser/chrome/icons/default/default$${res}.png" \
		  "$${resdir}/mullvad-browser-alpha.png"; \
	done
	mkdir -p "${DESTDIR}/usr/share/icons/hicolor/scalable/apps"
	ln -s "/usr/lib/mullvad-browser-alpha/browser/chrome/icons/default/about-logo.svg" \
		"${DESTDIR}/usr/share/icons/hicolor/scalable/apps/mullvad-browser-alpha.svg"

clean:
	rm -f "${DEB_TARGET_ARCH}/Browser/is-packaged-app"

=== debian/changelog ===
mullvad-browser-alpha (14.5a2-1) UNRELEASED; urgency=medium

  * Mullvad Browser 14.5a2

 -- Mullvad Browser Developers <torbrowser@torproject.org>  Mon, 13 Jan 2025 01:02:03 +0000

=== debian/control ===
Source: mullvad-browser-alpha
Maintainer: Mullvad Browser Developers <torbrowser@torproject.org>
Priority: optional
Section: web
Build-Depends: debhelper (>= 9), dh-apparmor

Package: mullvad-browser-alpha
Architecture: amd64 i386 arm64
Depends: ${shlibs:Depends},
Description: Mullvad Browser Alpha
 Mullvad Browser is a privacy-focused web browser designed to minimize tracking and fingerprinting.

## mullvad-browser-alpha 15.0a3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 build:
 	rm -f "${DEB_TARGET_ARCH}/Browser/start-mullvad-browser.desktop"
 	echo 'This is a packaged app.' > "${DEB_TARGET_ARCH}/Browser/is-packaged-app"
-	touch -m -t 202501131900 "${DEB_TARGET_ARCH}/Browser/is-packaged-app"
+	touch -m -t 202509171830 "${DEB_TARGET_ARCH}/Browser/is-packaged-app"
 
 install:
 	mkdir -p "${DESTDIR}/usr/lib/mullvad-browser-alpha"

=== debian/changelog ===
mullvad-browser-alpha (15.0a3-1) UNRELEASED; urgency=medium

  * Mullvad Browser 15.0a3

 -- Mullvad Browser Developers <torbrowser@torproject.org>  Wed, 17 Sep 2025 01:02:03 +0000

## mullvad-browser-alpha 15.0a4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 build:
 	rm -f "${DEB_TARGET_ARCH}/Browser/start-mullvad-browser.desktop"
 	echo 'This is a packaged app.' > "${DEB_TARGET_ARCH}/Browser/is-packaged-app"
-	touch -m -t 202509171830 "${DEB_TARGET_ARCH}/Browser/is-packaged-app"
+	touch -m -t 202510151800 "${DEB_TARGET_ARCH}/Browser/is-packaged-app"
 
 install:
 	mkdir -p "${DESTDIR}/usr/lib/mullvad-browser-alpha"

=== debian/changelog ===
mullvad-browser-alpha (15.0a4-1) UNRELEASED; urgency=medium

  * Mullvad Browser 15.0a4

 -- Mullvad Browser Developers <torbrowser@torproject.org>  Wed, 15 Oct 2025 01:02:03 +0000

=== debian/control ===
--- 
+++ 
@@ -7,5 +7,6 @@
 Package: mullvad-browser-alpha
 Architecture: amd64 i386 arm64
 Depends: ${shlibs:Depends},
+Recommends: libavcodec61 | libavcodec-extra61 | libavcodec60 | libavcodec-extra60 | libavcodec59 | libavcodec-extra59 | libavcodec58 | libavcodec-extra58 | libavcodec57 | libavcodec-extra57 | libavcodec56 | libavcodec-extra56 | libavcodec55 | libavcodec-extra55 | libavcodec54 | libavcodec-extra54 | libavcodec53 | libavcodec-extra53
 Description: Mullvad Browser Alpha
  Mullvad Browser is a privacy-focused web browser designed to minimize tracking and fingerprinting.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xxpi

# Our binaries are already stripped, and the binutils version we are currently
# using cannot parse some ELF sections, so skip the strip phase.
override_dh_strip:

override_dh_shlibdeps:
	dh_shlibdeps -Xabicheck

override_dh_install:
	mkdir -p debian/mullvad-browser-alpha/etc/apparmor.d
	cp debian/apparmor debian/mullvad-browser-alpha/etc/apparmor.d/mullvad-browser-alpha
	dh_apparmor --profile-name=mullvad-browser-alpha -pmullvad-browser-alpha

## mullvad-browser-alpha 16.0a1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 build:
 	rm -f "${DEB_TARGET_ARCH}/Browser/start-mullvad-browser.desktop"
 	echo 'This is a packaged app.' > "${DEB_TARGET_ARCH}/Browser/is-packaged-app"
-	touch -m -t 202510151800 "${DEB_TARGET_ARCH}/Browser/is-packaged-app"
+	touch -m -t 202512111420 "${DEB_TARGET_ARCH}/Browser/is-packaged-app"
 
 install:
 	mkdir -p "${DESTDIR}/usr/lib/mullvad-browser-alpha"

=== debian/changelog ===
mullvad-browser-alpha (16.0a1-1) UNRELEASED; urgency=medium

  * Mullvad Browser 16.0a1

 -- Mullvad Browser Developers <torbrowser@torproject.org>  Thu, 11 Dec 2025 01:02:03 +0000

## mullvad-browser-alpha 16.0a2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 build:
 	rm -f "${DEB_TARGET_ARCH}/Browser/start-mullvad-browser.desktop"
 	echo 'This is a packaged app.' > "${DEB_TARGET_ARCH}/Browser/is-packaged-app"
-	touch -m -t 202512111420 "${DEB_TARGET_ARCH}/Browser/is-packaged-app"
+	touch -m -t 202602021830 "${DEB_TARGET_ARCH}/Browser/is-packaged-app"
 
 install:
 	mkdir -p "${DESTDIR}/usr/lib/mullvad-browser-alpha"

=== debian/changelog ===
mullvad-browser-alpha (16.0a2-1) UNRELEASED; urgency=medium

  * Mullvad Browser 16.0a2

 -- Mullvad Browser Developers <torbrowser@torproject.org>  Mon, 02 Feb 2026 01:02:03 +0000

## mullvad-browser-alpha 16.0a3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 build:
 	rm -f "${DEB_TARGET_ARCH}/Browser/start-mullvad-browser.desktop"
 	echo 'This is a packaged app.' > "${DEB_TARGET_ARCH}/Browser/is-packaged-app"
-	touch -m -t 202602021830 "${DEB_TARGET_ARCH}/Browser/is-packaged-app"
+	touch -m -t 202602162000 "${DEB_TARGET_ARCH}/Browser/is-packaged-app"
 
 install:
 	mkdir -p "${DESTDIR}/usr/lib/mullvad-browser-alpha"

=== debian/changelog ===
mullvad-browser-alpha (16.0a3-1) UNRELEASED; urgency=medium

  * Mullvad Browser 16.0a3

 -- Mullvad Browser Developers <torbrowser@torproject.org>  Mon, 16 Feb 2026 01:02:03 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), dh-apparmor
 
 Package: mullvad-browser-alpha
-Architecture: amd64 i386 arm64
+Architecture: amd64 arm64
 Depends: ${shlibs:Depends},
 Recommends: libavcodec61 | libavcodec-extra61 | libavcodec60 | libavcodec-extra60 | libavcodec59 | libavcodec-extra59 | libavcodec58 | libavcodec-extra58 | libavcodec57 | libavcodec-extra57 | libavcodec56 | libavcodec-extra56 | libavcodec55 | libavcodec-extra55 | libavcodec54 | libavcodec-extra54 | libavcodec53 | libavcodec-extra53
 Description: Mullvad Browser Alpha
